<?php
/**
 * Header file for the HGW Whiteboard theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @subpackage Hgw_WhiteBoard
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
  	<meta charset="<?php bloginfo( 'charset' ); ?>" />
  	<meta name="viewport" content="width=device-width, initial-scale=1" />
  	<?php wp_head(); ?>
  </head>
  <body <?php body_class( esc_html( get_theme_mod( 'hgw_sidebar_types', 'default-sidebar' ) ) ); ?>>
    <a class="skip-link screen-reader-text" href="#site-content"><?php echo esc_attr_e( 'Skip to content', 'hgw-whiteboard' ) ?></a>
    <?php
    /**
     * Fire the wp_body_open action.
     * @link https://developer.wordpress.org/reference/functions/wp_body_open/
     */
    wp_body_open();

    /**
     * Hook hgw_whiteboard_site_header_before.
     *
     * @hooked hgw_whiteboard_site_header_container_open - 30
     */
    do_action( 'hgw_whiteboard_site_header_before');

    /**
     * Hook hgw_whiteboard_site_header.
     *
     * @hooked hgw_whiteboard_site_header_brand - 10
     * @hooked hgw_whiteboard_site_header_menu - 20
     */
    do_action( 'hgw_whiteboard_site_header');

    /**
     * Hook hgw_whiteboard_site_header_after.
     *
     * @hooked hgw_whiteboard_site_header_container_close - 30
     */
    do_action( 'hgw_whiteboard_site_header_after');
