<?php
/**
* Custom Theme info for This Theme
* Show in Dashboard, Link to Customizer Options, Show the latest features
* @subpackage Hgw_WhiteBoard
*/


function hgw_whiteboard_information () {
  wp_redirect(admin_url("themes.php?page=hgw-whiteboard"));
}
add_action('after_switch_theme', 'hgw_whiteboard_information');

function hgw_whiteboard_theme_page() {
    add_theme_page(
      'Hgw Whiteboard',
      'Hgw Whiteboard',
      'edit_theme_options',
      'hgw-whiteboard',
      'hgw_whiteboard_theme_option_page_info',
      1
    );
}
add_action( 'admin_menu', 'hgw_whiteboard_theme_page' );

function hgw_whiteboard_theme_option_page_info() {
  $theme_version = wp_get_theme()->get( 'Version' );
  ?>
  <div class="wrap about__container">
   	<div class="about__section is-feature" style="background: #2271b1;color: white;">
   		<div class="column">
   			<h1 class="is-smaller-heading">Hgw Whiteboard - <?php echo esc_html($theme_version);?></h1>
   			<p>
          <?php esc_html_e( 'Hi, thank you for choosing Hgw Whiteboard theme. Help improve this theme with your suggestions.', 'hgw-whiteboard' ); ?>
        </p>
   		</div>
   	</div>
   	<hr>
   	<div class="about__section has-2-columns"  style="background-color: white;">
   		<div class="column">
          <?php
          echo sprintf(
            '<h3>%1$s</h3><p></p>%2$s<p><a href="%3$s" class="button button-primary" target="_self">%4$s</a></p>',
            esc_html__( 'Theme Options', 'hgw-whiteboard' ),
            esc_html__( 'Theme uses Customizer API for theme options. Using the Customizer you can easily customize different aspects of the theme.', 'hgw-whiteboard' ),
            esc_url( admin_url( 'customize.php?autofocus%5Bsection%5D=hgw-whiteboard-panel' ) ),
            esc_html__( 'Options', 'hgw-whiteboard' )
           );
          ?>
   		</div>
   		<div class="column">
          <?php
          echo sprintf(
            '<h3>%1$s</h3><p></p>%2$s<p><a href="%3$s" class="button button-primary" target="_self">%4$s</a></p>',
            esc_html__( 'Widgets', 'hgw-whiteboard' ),
            esc_html__( 'Theme uses Wedgets API for widget options. Using the Widgets you can easily customize different aspects of the theme.', 'hgw-whiteboard' ),
            esc_url( admin_url( 'widgets.php' ) ),
            esc_html__( 'Widgets', 'hgw-whiteboard' )
           );
          ?>
   		</div>
   	</div>
    <hr>
    <div class="about__section"  style="background-color: white;border: 3px solid #2271b1;">
      <div class="column">
        <h3><?php echo esc_html__( 'Participate to get better', 'hgw-whiteboard' ) ?></h3>
        <p><?php echo esc_html__( 'Any suggestion for improvement is welcome, if you think your suggestion to improve this script let me know', 'hgw-whiteboard' ) ?></p>
        <!-- Start Contact us -->
        <p>
          <?php echo esc_html__( 'Have an idea for a better whiteboard theme?', 'hgw-whiteboard' ); ?>
          <a href="mailto:hamgamwebcom@gmail.com" class="button button-primary" target="_blank">
            <?php echo esc_html__( 'Tell me', 'hgw-whiteboard' ) ?>
          </a> <code>hamgamwebcom@gmail.com</code>
        </p>
        <!-- Start Review -->
        <p>
          <?php echo esc_html__( 'Please rate this theme in WordPress', 'hgw-whiteboard' ) ?>
          <a href="https://wordpress.org/support/theme/hgw-whiteboard/reviews/#new-post" class="button button-primary">
            <?php echo esc_html__( 'Review', 'hgw-whiteboard' ) ?>
          </a>
        </p>
   		</div>
    </div>
   	<hr class="is-small">
    <div class="about__section" style="background-color: white;">
      <div class="column" style="direction: ltr;">
        <h3>Changelog <?php echo esc_html($theme_version);?></h3>
          <h4>1. Added more hooks for developers</h4>
          <h4>2. Improved style</h4>
          <h4>3. Fixed some issues</h4>
      </div>
   	</div>
  </div>
<?php
}
