<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @subpackage Hgw_WhiteBoard
 */

get_header();

/**
 * Hook hgw_whiteboard_site_content_before.
 *
 * @hooked hgw_whiteboard_site_content_container_open - 30
 */
do_action( 'hgw_whiteboard_site_content_before');

/**
 * Hook hgw_whiteboard_main_content_before.
 *
 * @hooked hgw_whiteboard_secondary_sidebar - 10
 * @hooked hgw_whiteboard_two_sidebar_content_container_open - 20
 * @hooked hgw_whiteboard_main_content_container_open - 20
 */
do_action( 'hgw_whiteboard_main_content_before');

/**
 * Hook hgw_whiteboard_main_content
 *
 * @hooked hgw_whiteboard_main_content_fallback - 10
 */
do_action( 'hgw_whiteboard_main_content');

/**
 * Hook hgw_whiteboard_main_content_after.
 *
 * @hooked hgw_whiteboard_main_content_container_close - 10
 * @hooked get_sidebar - 20
 * @hooked hgw_whiteboard_two_sidebar_content_container_close - 30
 */
do_action( 'hgw_whiteboard_main_content_after');

/**
 * Hook hgw_whiteboard_site_content_after.
 *
 * @hooked hgw_whiteboard_site_content_container_close - 30
 */
do_action( 'hgw_whiteboard_site_content_after');

get_footer();
